For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

Get User information

GET /residential/me

Get information about the available traffic on the main user and subusers count

Example request:

curl -X GET https://resi-api.iproyal.com/v1/me \
     -H "Authorization: Bearer <your_api_token>"
<?php
$api_token = '<your_api_token>';
$url = 'https://resi-api.iproyal.com/v1/me';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPGET, true);
$headers = [
    "Authorization: Bearer $api_token"
];
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
} else {
    echo $response;
}

curl_close($ch);
?>

Example response:

{
    "available_traffic": 32.6,
    "subusers_count": 13,
    "residential_user_hash": "01H7YCG0R9GYY1YCPS2S4QA6WB"
}

Last updated

Was this helpful?